{ pkgs, ... }:

with pkgs.haskell.lib;

final: prev: {

  digest = addPkgconfigDepend prev.digest pkgs.zlib;

  chell-quickcheck = null;

  chell = null;

  extensible-effects = null;

  monoidal-containers = null;

  persistent-qq = null;

  protolude = null;

  recursion-schemes = prev.recursion-schemes.overrideAttrs (old : old // { patchFlags = ["--binary"]; });

  sdl2 = addSetupDepends
    (overrideCabal prev.sdl2
      { __onlyPropagateKnownPkgConfigModules = true; }
    )
    [ pkgs.pkg-config pkgs.SDL2 ];

  sdl2-gfx = addSetupDepends
    (overrideCabal prev.sdl2-gfx
      { __onlyPropagateKnownPkgConfigModules = true; }
    )
    [ pkgs.pkg-config pkgs.SDL2 ];

  sdl2-image =
    addSetupDepends
      (overrideCabal prev.sdl2-image
        { __onlyPropagateKnownPkgConfigModules = true; }
      )
      [ pkgs.pkg-config pkgs.SDL2 pkgs.libtiff pkgs.libwebp ];

  sdl2-mixer =
    addSetupDepends
      (overrideCabal prev.sdl2-mixer
        { __onlyPropagateKnownPkgConfigModules = true; }
      )
      (if pkgs.stdenv.isLinux then
        [ pkgs.pkg-config pkgs.SDL2 pkgs.libsndfile pkgs.libpulseaudio pkgs.alsa-lib pkgs.jack2 pkgs.glib pkgs.pcre2 ]
      else
        [ pkgs.pkg-config pkgs.SDL2 pkgs.libsndfile pkgs.glib pkgs.pcre2 pkgs.jack2 ]);

  sdl2-ttf =
    addSetupDepends
      (overrideCabal prev.sdl2-ttf
        { __onlyPropagateKnownPkgConfigModules = true; }
      )
      [ pkgs.pkg-config pkgs.SDL2 pkgs.SDL2_ttf pkgs.harfbuzz pkgs.freetype pkgs.glib pkgs.pcre2 ];

  stringsearch = prev.stringsearch.overrideAttrs (old : old // { patchFlags = ["--binary"]; });

  zlib = prev.callPackage ./pkgs/zlib.nix { inherit (pkgs) zlib; };
}

